{% extends 'app/profile_base.html' %}

{%block profile_username%}
<h1>Profile username: {{profile_username}}</h1>
{%endblock%}

{% block content %}
<h3>Posts</h3>
{% for image,vote in images_with_votes %}
<div class="row">
  <div class="col-md-4">
    <img class="app-fit" src="{{image.url}}" alt="" />
  </div>
  <div class="col-md-8">
    <div class="date">
      <p class="red">
        Published by: <a href="{% url 'app:account' image.user.id%}">{{image.user.username}}</a>, {{ image.pub_date }};
        {%if request.user.is_authenticated and request.user.is_superuser or image.user == request.user%}
        <a href="{% url 'app:update_image' image.id %}">Edit</a> | 
        {% include 'includes/delete_image_link.html' with image=image %}
        {%endif%}
      </p>  
    </div>
    {% if request.user.is_authenticated %}
    {%include "includes/vote_buttons.html" with image=image vote=vote%}
    {%else%}
    Score: {{image.vote_score}}
    {% endif %}
    <h2><a href="{% url 'app:detail' image.id %}">{{ image.title }}</a></h2>
    <p>{{ image.description|linebreaksbr }}</p>
  </div>
</div>
{% endfor %} 
{% endblock %}

{%block account_comments%}
<h3>Comments</h3>
      {% for comment,like in comments_with_likes %}
      <div class="border comment">
        <p class="red">Author: <a href="{%url 'app:account' comment.user.id%}">{{ comment.author }}</a> ({{comment.created_at}}),
            On post: <a href="{%url 'app:detail' comment.image.id%}">{{comment.image.title}}</a>
        </p>
        <p class="secondary">{{ comment.text }}</p>

        {% if comment.approved == False %}
        {%if request.user.is_superuser%}
        {% include 'includes/delete_comment_link.html' with comment=comment %}
        {%endif%}
          <form 
            action = "{%url 'app:approve_comment' comment.id%}"
            method="post">
            {%csrf_token%}
            <input type="submit" value="Approve" class="btn btn-success"/>
          </form>
        {%endif%}
      

        {%if comment.approved == True and request.user.is_authenticated%}
        {% if request.user.is_superuser or comment.user == request.user%}
        {% include 'includes/delete_comment_link.html' with comment=comment %}
        {%endif%}
        {% include "includes/like_button.html" with comment=comment like=like%}
        {%else%}
        Likes: {{comment.total_likes}}
        {%endif%}

      </div>
      {% endfor %}
{%endblock%}
